# std::end(std::initializer_list)

From cppreference.com
< cpp‎ | utility‎ | initializer list

template< class E > const E* end( initializer_list<E> il ); |  | (since C++11)
template< class E > constexpr const E* end( initializer_list<E> il ); |  | (since C++11) (until C++14)

The overload of std::end for `initializer_list` returns a pointer to one past the last element of `il`.

### Parameters

il | - | an `initializer_list`

### Return value

il.end()

### Exceptions

`noexcept` specification:
noexcept

### Example

Run this code

    #include <iostream>

    int main()
    {
        // range-based for uses std::begin and std::end to iterate
        // over a given range; in this case, it's an initializer list
        for (int i : {3, 1, 4, 1}) {
            std::cout << i << '\n';
        }
    }

Output:

    3
    1
    4
    1

### See also

end | returns a pointer to one past the last element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/initializer_list/end2&oldid=91826"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template